GET /api/v202110/energyStar/connectionstatus

Get the connection status for a Portfolio Manager account and database

GetPMConnectionStatusV202110 Permissions: ENERGYSTARSubmissions (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
pmUserName User name used to log in to Portfolio Manager string Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccountConnectionStatusResponseV202110
Property Description Type
connectable When true this database is connectable to Portfolio Manager boolean
otherDatabaseRegistered Whether some other database is registered to portfolio manager or not boolean
Example Response application/json
{  "connectable": false,  "otherDatabaseRegistered": false
}